# TRANSACTION\_CONFIRMED

On a TRANSACTION\_CONFIRMED event, a previously broadcast transaction via the dapi has been confirmed by the blockchain.

<table><thead><tr><th width="331">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>chainId: number</code></td><td>ChainId is the type of wallet selection network</td></tr><tr><td><code>txid: string</code></td><td>Transaction id which was confirmed on chain</td></tr><tr><td><code>blockHeight: number</code></td><td>Height of the new block</td></tr><tr><td><code>blockTime: number</code></td><td>Timestamp of the new block</td></tr></tbody></table>

## Example

```js
neoline.addEventListener(neoline.EVENT.TRANSACTION_CONFIRMED, (result) => {
    console.log('Transaction confirmation detail:', result);
});
/* Another */
window.addEventListener('NEOLine.NEO.EVENT.TRANSACTION_CONFIRMED', (result) => {
    console.log('Transaction confirmation detail:', result.detail);
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://tutorial.neoline.io/reference/neo3-provider-api-legacy/common-events/transaction_confirmed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
